Bug 894127 - [abrt][a11y] libreoffice-core-3.5.7.2-7.fc17: SwAccessibleMap::GetContext killed by signal 11 (SIGSEGV)
[abrt][a11y] libreoffice-core-3.5.7.2-7.fc17: SwAccessibleMap::GetContext kil...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:72ed50bdb2ae835971f6ffc42ae...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 14:35 EST by jeiv18
Modified: 2013-03-25 10:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-25 10:47:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (7.33 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: environ (2.67 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: limits (1.29 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: backtrace (69.81 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: smolt_data (2.38 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: cgroup (129 bytes, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: executable (42 bytes, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: maps (95.92 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: dso_list (21.10 KB, text/plain)
2013-01-10 14:35 EST, jeiv18
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-01-10 14:36 EST, jeiv18
no flags Details
File: var_log_messages (343 bytes, text/plain)
2013-01-10 14:36 EST, jeiv18
no flags Details
File: open_fds (2.70 KB, text/plain)
2013-01-10 14:36 EST, jeiv18
no flags Details

  None (edit)
Description jeiv18 2013-01-10 14:35:09 EST
Description of problem:
Had a table on .doc document, another table on .docx document (which was not displayed correctly, lines did not appear), error happened when i tried to copy  one column from .docx to .doc  document.

Version-Release number of selected component:
libreoffice-core-3.5.7.2-7.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/jipial/Downloads/Planilla%20Seguimiento%20Actividades%20CEET.doc --splash-pipe=6
crash_function: GetFollow
kernel:         3.6.10-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 GetFollow at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:2776
: #1 AreInSameTable at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:775
: #3 SwAccessibleMap::GetContext at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:1433
: #4 SwAccessibleMap::GetContextImpl at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/accmap.cxx:1473
: #5 SwAccessibleContext::getAccessibleChild at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/acccontext.cxx:584
: #6 AtkListener::updateChildList at /usr/src/debug/libreoffice-3.5.7.2/vcl/unx/gtk/a11y/atklistener.cxx:128
: #7 AtkListener::handleChildRemoved at /usr/src/debug/libreoffice-3.5.7.2/vcl/unx/gtk/a11y/atklistener.cxx:183
: #8 AtkListener::notifyEvent at /usr/src/debug/libreoffice-3.5.7.2/vcl/unx/gtk/a11y/atklistener.cxx:276
: #9 comphelper::AccessibleEventNotifier::addEvent at /usr/src/debug/libreoffice-3.5.7.2/comphelper/source/misc/accessibleeventnotifier.cxx:244
: #10 SwAccessibleContext::Dispose at /usr/src/debug/libreoffice-3.5.7.2/sw/source/core/access/acccontext.cxx:1061
Comment 1 jeiv18 2013-01-10 14:35:21 EST
Created attachment 676496 [details]
File: core_backtrace
Comment 2 jeiv18 2013-01-10 14:35:42 EST
Created attachment 676497 [details]
File: environ
Comment 3 jeiv18 2013-01-10 14:35:44 EST
Created attachment 676498 [details]
File: limits
Comment 4 jeiv18 2013-01-10 14:35:46 EST
Created attachment 676499 [details]
File: backtrace
Comment 5 jeiv18 2013-01-10 14:35:48 EST
Created attachment 676500 [details]
File: smolt_data
Comment 6 jeiv18 2013-01-10 14:35:50 EST
Created attachment 676501 [details]
File: cgroup
Comment 7 jeiv18 2013-01-10 14:35:52 EST
Created attachment 676502 [details]
File: executable
Comment 8 jeiv18 2013-01-10 14:35:54 EST
Created attachment 676503 [details]
File: maps
Comment 9 jeiv18 2013-01-10 14:35:57 EST
Created attachment 676504 [details]
File: dso_list
Comment 10 jeiv18 2013-01-10 14:36:02 EST
Created attachment 676505 [details]
File: proc_pid_status
Comment 11 jeiv18 2013-01-10 14:36:08 EST
Created attachment 676506 [details]
File: var_log_messages
Comment 12 jeiv18 2013-01-10 14:36:46 EST
Created attachment 676507 [details]
File: open_fds
Comment 13 Caolan McNamara 2013-01-11 07:07:28 EST
an accessibility related crash, if you don't need accessibility you can disable it at the desktop level to workaround this.

Is it possible to get the source documents and a step-by-step to reproducing the crash with those ?

Note You need to log in before you can comment on or make changes to this bug.